// Keypad Library for Arduino
// Authors:  Mark Stanley, Alexander Brevig
// http://playground.arduino.cc/Main/KeypadTutorial
//******************************************************************************************
#include <Password.h>
#include <Keypad.h>
//******************************************************************************************
const int greenledPin = 10;   //green LED attached to digital pin 10
const int redledPin = 11;     //red LED attached to digital pin 11
Password password = Password( "2468" ); // Set password as 2468
const byte ROWS = 4; //four rows
const byte COLS = 3; //three columns
char hexaKeys[ROWS][COLS] = {//define the symbols on the buttons of the keypads
{'1','2','3'},
{'4','5','6'},
{'7','8','9'},
{'*','0','#'}
};
byte rowPins[ROWS] = {9, 8, 7, 6}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {5, 4, 3};    //connect to the column pinouts of the keypad
Keypad keypad = Keypad( makeKeymap(hexaKeys), rowPins, colPins, ROWS, COLS);//initialize an instance of class NewKeypad

//******************************************************************************************
void setup() {
  pinMode(greenledPin, OUTPUT);         //sets greenledPin as OUTPUT
  pinMode(redledPin, OUTPUT);           //sets redledPin as OUTPUT
  Serial.begin(9600);                   //initialise the serial communication at 9600 bps
  delay(200);
  keypad.addEventListener(keypadEvent); // Add an event listener to
  // detect keypresses
}
void loop() {
  keypad.getKey();
  
}
void keypadEvent(KeypadEvent eKey) {
  switch (keypad.getState()) {
    case PRESSED:
      Serial.print("Pressed: ");
      Serial.println(eKey);
      switch (eKey) {
        case '*': checkPassword(); break;
        case '#': password.reset(); break;
        default: password.append(eKey);
      }
  }
}
void checkPassword() {
  if (password.evaluate() ) {
    Serial.println("Success"); // If the password is correct...
    digitalWrite(greenledPin, HIGH); // Turn on green LED
    delay(500); // Wait 5 seconds
    digitalWrite(greenledPin, LOW); // Turn off green LED
  } else {
    Serial.println("Wrong"); // If the password is incorrect...
    digitalWrite(redledPin, HIGH); // Turn on red LED
    delay(500); // Wait 5 seconds
    digitalWrite(redledPin, LOW); // Turn off red LED
  }
}
